@echo off

rem Copyright 2009 Ashley Williams
rem
rem Licensed under the Apache License, Version 2.0 (the "License"); you
rem may not use this file except in compliance with the License. You may
rem obtain a copy of the License at
rem
rem   http://www.apache.org/licenses/LICENSE-2.0
rem
rem Unless required by applicable law or agreed to in writing, software
rem distributed under the License is distributed on an "AS IS" BASIS,
rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
rem implied. See the License for the specific language governing
rem permissions and limitations under the License.

set ROOT_DIR=%~dp0..
set SCRIPT_NAME=%~nx0

java -jar %ROOT_DIR%/lib/protoj.jar ^
	"init -rootDir %ROOT_DIR% -scriptName %SCRIPT_NAME%" ^
	"javac -body -opt compileTask.source=1.5 -opt compileTask.memoryMaximumSize=8m -opt dirSet.includes=acme/core" ^
	"java -body -opt javaTask.classname=acme.core.AcmeCore -opt javaTask.maxmemory=1k" ^
	%*
